Bug 45379 - SGEN Error - 100% Reproducible
Summary: SGEN Error - 100% Reproducible
Status: VERIFIED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: Mono runtime / AOT compiler (show other bugs)
Version: XI 10.0 (iOS10)
Hardware: PC Mac OS
: --- normal
Target Milestone: 10.2.1 (C8SR1)
Assignee: Zoltan Varga
URL:
Depends on:
Blocks:
 
Reported: 2016-10-13 18:28 UTC by richard
Modified: 2016-10-31 17:21 UTC (History)
5 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description richard 2016-10-13 18:28:05 UTC
Getting this 100% reproducible crash on both devices and simulator.

Thread finished:  #16
2016-10-07 15:52:39.979 iCropTrakApp[62974:3108193] error: * Assertion: should not be reached at /Users/builder/data/lanes/3818/ad1cd42d/source/xamarin-macios/external/mono/mono/sgen/sgen-scan-object.h:90
ERROR /BuildRoot/Library/Caches/com.apple.xbs/Sources/VectorKit_Sim/VectorKit-1228.30.7.17.9/GeoGL/GeoGL/GLCoreContext.cpp 1763: InfoLog SolidRibbonShader:
ERROR /BuildRoot/Library/Caches/com.apple.xbs/Sources/VectorKit_Sim/VectorKit-1228.30.7.17.9/GeoGL/GeoGL/GLCoreContext.cpp 1764: WARNING: Output of vertex shader 'v_gradient' not read by fragment shader


ERROR /BuildRoot/Library/Caches/com.apple.xbs/Sources/VectorKit_Sim/VectorKit-1228.30.7.17.9/GeoGL/GeoGL/GLCoreContext.cpp 1763: InfoLog TrafficCasingShader:
ERROR /BuildRoot/Library/Caches/com.apple.xbs/Sources/VectorKit_Sim/VectorKit-1228.30.7.17.9/GeoGL/GeoGL/GLCoreContext.cpp 1764: WARNING: 0:27: Overflow in implicit constant conversion, minimum range for lowp float is (-2,2)

Believe this is relatively new - as customer has not not changed - but on switch to version of Xamarin/Mono/IOS as below this happens everytime.

Xararmin info:


=== Xamarin Studio Business ===

Version 6.1.1 (build 15)
Installation UUID: 06e8ed9b-6208-476a-a22a-ebeb3b94553b
Runtime:
	Mono 4.6.1 (mono-4.6.0-branch-c8sr0/ef43c15) (64-bit)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 406010005

=== NuGet ===

Version: 3.4.3.0

=== Xamarin.Profiler ===

Not Installed

=== Apple Developer Tools ===

Xcode 8.0 (11246)
Build 8A218a

=== Xamarin.Android ===

Version: 7.0.1.3 (Xamarin Business)
Android SDK: Not found

=== Xamarin Android Player ===

Not Installed

=== Xamarin.iOS ===

Version: 10.0.1.10 (Xamarin Business)
Hash: ad1cd42
Branch: cycle8-sr0-xi
Build date: 2016-10-03 15:18:44-0400

=== Xamarin.Mac ===

Not Installed

=== Build Information ===

Release ID: 601010015
Git revision: fa52f02641726146e2589ed86ec4097fbe101888
Build date: 2016-09-22 08:03:02-04
Xamarin addins: 75d65712af93d54dc39ae4c42b21dfa574859fd6
Build lane: monodevelop-lion-cycle8-sr0

=== Operating System ===

Mac OS X 10.11.6
Darwin Laures-MBP.lan 15.6.0 Darwin Kernel Version 15.6.0
    Mon Aug 29 20:21:34 PDT 2016
    root:xnu-3248.60.11~1/RELEASE_X86_64 x86_64
Comment 1 Rodrigo Kumpera 2016-10-13 22:37:15 UTC
Hi Richard,

Can you provide a test case that would enable us to reproduce your problem?
Comment 2 richard 2016-10-13 22:52:23 UTC
Hi there:


In terms of a code fragment - probably no. I could probably do a couple of things though:

1. I can get you configured with our Store Application to run on a device. If you simply login - you will crash the app with the right client customer DB loaded.
2. I believe I could also send you a copy of our App in the Simulator - same procedure - you open app - you will crash.

Not sure what would be easiest/possible. If there are other options - happy to do whatever to get this sorted out.
Comment 3 Vlad Brezae 2016-10-14 16:50:58 UTC
Hello Richard,

These type of bugs are pretty hard to debug and they normally require both having a debugger and recompilation of the runtime, which can be done pretty straightforward if we have the source code and we're compiling the app.

@zoltan Do you think we can work around this, to be able to debug, at least with the simulator ?
Comment 4 richard 2016-10-17 21:22:27 UTC
Hi Vlad:

We can get you a source code tree you can build. If you want to contact me on my email we can sort out the logistics of this.
Comment 5 Luis Aguilera 2016-10-27 13:56:38 UTC
fixed in https://github.com/mono/mono/pull/3833

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.